#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n;
    scanf ("%d", &n);
    int niz[n];
    int i=0;
    for (i=0; i<n; i++)
    {
        scanf ("%d", &niz[i]);
    }
    for (i=0; i<n; i++)
    {
        if (niz[i]>niz[i+1])
        {
            int pom;
            pom=niz[i];
            niz[i]=niz[i+1];
            niz[i+1]=pom;
            break;
        }
    }
    for (i=0; i<n; i++)
    {
        printf ("%d ", niz[i]);
    }
    return 0;
}